Bug 1170135 - [bn_IN] Bengali 2.91, Conjuncts rendering issue for some glyphs
Summary: [bn_IN] Bengali 2.91, Conjuncts rendering issue for some glyphs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-bengali-fonts
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1170142
TreeView+ depends on / blocked
 
Reported: 2014-12-03 11:15 UTC by shilpa gite
Modified: 2014-12-12 04:33 UTC (History)
3 users (show)

Fixed In Version: lohit-bengali-fonts-2.91.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1170142 (view as bug list)
Environment:
Last Closed: 2014-12-12 04:33:02 UTC


Attachments (Terms of Use)
Problem describing problem with Bengali rendering. (7.92 KB, image/png)
2014-12-05 14:36 UTC, Pravin Satpute
no flags Details

Description shilpa gite 2014-12-03 11:15:53 UTC
Description of problem:
In Bengali 2.91, conjuncts where the second consonant is ত, followed by ি are not rendered as conjuncts

Version-Release number of selected component (if applicable):2.91


How reproducible:


Steps to Reproduce:
1.Install Lohit-Bengali
 https://fedorahosted.org/releases/l/o/lohit/lohit-bengali-ttf-2.91.1.tar.gz
2.Try glyphs combinations with  ে  ্  ি  ে, ৈ, ো, ৌ

Actual results:
Conjucts rendering issue

Expected results:
Conjucts should render properly

Issue Reference Screenshot:
https://cloud.githubusercontent.com/assets/5493630/5164541/07629c78-73ff-11e4-96c2-b9a49196d7e9.png

Comment 1 Pravin Satpute 2014-12-03 11:21:45 UTC
Thanks Shilpa for reporting this.

Comment 2 Fedora Update System 2014-12-03 11:56:10 UTC
lohit-bengali-fonts-2.91.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lohit-bengali-fonts-2.91.1-1.fc21

Comment 3 Fedora Update System 2014-12-03 16:06:23 UTC
Package lohit-bengali-fonts-2.91.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-bengali-fonts-2.91.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16196/lohit-bengali-fonts-2.91.1-1.fc21
then log in and leave karma (feedback).

Comment 4 Pravin Satpute 2014-12-05 14:32:24 UTC
Summary of problem: Lohit Bengali is default font for Bengali language in Fedora. In its last upstream release (2.91.0) conjuncts were breaking when applying any matra after that. This issue persist in Fedora 21 Final release. 


Any known workarounds: Fix is available with Zero day update (2.91.1). Issue has been fixed and just doing `$dnf update lohit-bengali-fonts` will solve the issue. 

An assessment on the impact to Fedora users: Lohit Bengali is default font Bengali language. Whenever user will view any Bengali language content in Fedora he will face this issue.

Comment 5 Pravin Satpute 2014-12-05 14:36:16 UTC
Created attachment 965109 [details]
Problem describing problem with Bengali rendering.

Comment 6 Fedora Update System 2014-12-12 04:33:02 UTC
lohit-bengali-fonts-2.91.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.